local QuiTweeks, QUI = ...


 function QUI:ChatFrames( tabFontSize, fontPath )
	
	for i = 1, NUM_CHAT_WINDOWS do	
		local ChatFrame = _G[ "ChatFrame"..i ]
		local tab = _G[ ("ChatFrame%dTab"):format(i) ]
		
		local tabGlow = _G[ ("ChatFrame%dTabGlow"):format(i) ]
		local tabStr = tab.Text:GetText()
		
		ChatFrame:SetFrameStrata( "MEDIUM" )
		if( ChatFrame:GetID() == 1 ) then
			ChatFrame.Selection:SetFrameStrata("BACKGROUND")
		end
		
		tab.Text:SetFont( tabFontSize, fontPath ) 
		tab.Text:SetTextColor( 1,1,1 )
		
		tab.Left:SetTexture(false)
		tab.Middle:SetTexture(false)
		tab.Right:SetTexture(false)
	
		tab.HighlightLeft:SetTexture(false)
		tab.HighlightMiddle:SetTexture(false)
		tab.HighlightRight:SetTexture(false)
		
		tab.ActiveLeft:SetTexture(false)
		tab.ActiveMiddle:SetTexture(false)
		tab.ActiveRight:SetTexture(false)
		
		tab.Text:SetJustifyH("LEFT")
					
		if( ChatFrame:GetID() > 2 and ChatFrame.isDocked ) then
			if( SELECTED_CHAT_FRAME:GetID() ~= ChatFrame:GetID() )then
				tab.Text:SetPoint("BOTTOMLEFT",0,0)
			else 
				tab.Text:SetPoint("BOTTOMLEFT",1,-2)
			end
			
			if( string.len( tab.Text:GetText() ) < 13  ) then
				tab:SetWidth( string.len( tab.Text:GetText() )*10/1.6 + 10 )
			else
				tab:SetWidth( string.len( tab.Text:GetText() )*10/1.6 )
			end
		else
			tab:SetWidth( tab.Text:GetWidth()+10 )	
			if( SELECTED_CHAT_FRAME:GetID() ~= ChatFrame:GetID() )then
				tab.Text:SetPoint("BOTTOMLEFT",0,1)
			else
				tab.Text:SetPoint("BOTTOMLEFT",0,0)
			end
		end		
			
		--Hide Close button and ButtonFrames
		_G[("ChatFrame%dButtonFrame"):format(i)]:Hide()
		_G[ ("ChatFrame%dButtonFrameMinimizeButton"):format(i)]:Hide()
		_G[ ("ChatFrame%dButtonFrameBackground"):format(i)]:Hide()
		_G[ ("ChatFrame%dButtonFrameTopTexture"):format(i)]:Hide()
		_G[ ("ChatFrame%dButtonFrameTopLeftTexture"):format(i)]:Hide()
		_G[ ("ChatFrame%dButtonFrameTopRightTexture"):format(i)]:Hide()
		_G[ ("ChatFrame%dButtonFrameLeftTexture"):format(i)]:Hide()
		_G[ ("ChatFrame%dButtonFrameRightTexture"):format(i)]:Hide()
		_G[ ("ChatFrame%dButtonFrameBottomTexture"):format(i)]:Hide()
		_G[ ("ChatFrame%dButtonFrameBottomLeftTexture"):format(i)]:Hide()
		_G[ ("ChatFrame%dButtonFrameBottomRightTexture"):format(i)]:Hide()
		_G[ ("ChatFrame%dEditBox"):format(i)]:Hide()
	
		ChatFrame:SetScript("OnMouseUp", 
			function() _G[ ("ChatFrame%dEditBox"):format(i)]:Hide() return true end )
		ChatFrame:SetScript("OnMouseDown", 
			function() _G[ ("ChatFrame%dEditBox"):format(i)]:Hide() return true end )
		
		tab:SetScript("OnDoubleClick", function() end )
		
	end
	
end 

function QUI:ChatFrameButtons()

	--Hide Buttons on ChatFrame1
	_G["QuickJoinToastButton"]:Hide()
	_G["ChatFrameChannelButton"]:Hide()
	_G["ChatFrameMenuButton"]:Hide()

end

function QUI:ChatFramesHookFunc( tabFontSize, fontPath )
	_G.hooksecurefunc("FCF_OpenNewWindow", function() QUI:ChatFrames( tabFontSize, fontPath ) end )
	_G.hooksecurefunc("FCF_Tab_OnClick", function() QUI:ChatFrames( tabFontSize, fontPath ) end  )
	_G.hooksecurefunc("FCF_DockUpdate", function() QUI:ChatFrames( tabFontSize, fontPath ) end ) 
	_G.hooksecurefunc("FCFTab_UpdateColors", function() QUI:ChatFrames( tabFontSize, fontPath ) end )
	_G.hooksecurefunc("FCF_DockFrame", function() QUI:ChatFrames( tabFontSize, fontPath ) end )
	_G.hooksecurefunc("FCF_UnDockFrame", function() QUI:ChatFrames( tabFontSize, fontPath ) end )
	_G.hooksecurefunc("FCF_Close", function() QUI:ChatFrames( tabFontSize, fontPath ) end )	
	_G.hooksecurefunc("FCFTab_OnUpdate", function() QUI:ChatFrames( tabFontSize, fontPath ) end )
end

function QUI:EditBox()

	for i = 1, NUM_CHAT_WINDOWS do
		local EditBox = _G['ChatFrame'..i..'EditBox']
		_G['ChatFrame'..i..'EditBoxLeft']:Hide()
		_G['ChatFrame'..i..'EditBoxMid']:Hide()
		_G['ChatFrame'..i..'EditBoxRight']:Hide()
		EditBox.focusLeft:SetAlpha(0)
		EditBox.focusMid:SetAlpha(0)
		EditBox.focusRight:SetAlpha(0)
		EditBox:Hide()
		EditBox:HookScript('OnEnterPressed', function(s) s:Hide() end)
		
		EditBox:SetMultiLine(true)
		EditBox:ClearAllPoints()
		EditBox:SetPoint("BOTTOMLEFT",UIParent,500,500)
		EditBox:SetPoint("BOTTOMRIGHT", UIParent, "BOTTOMLEFT", 1500,0)
	
		EditBox:SetMovable(true)
		EditBox:EnableMouse(true)
		EditBox:RegisterForDrag("LeftButton")
		EditBox:SetScript("OnDragStart", EditBox.StartMoving)
		EditBox:SetScript("OnDragStop", EditBox.StopMovingOrSizing)
		
		
		EditBox:HookScript('OnShow', function()
			_G['ChatFrame'..i..'EditBoxLeft']:Show()
			_G['ChatFrame'..i..'EditBoxMid']:Show()
			_G['ChatFrame'..i..'EditBoxRight']:Show()
		end )
		
		EditBox:HookScript('OnHide', function()
			_G['ChatFrame'..i..'EditBoxLeft']:Hide()
			_G['ChatFrame'..i..'EditBoxMid']:Hide()
			_G['ChatFrame'..i..'EditBoxRight']:Hide()
		end )
	end	
end


 